"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test = require("blue-tape");
const index_1 = require("./index");
const path_1 = require("path");
const parser = require("raml-1-parser");
test('raml generator', t => {
    t.test('basic generator', t => {
        const generate = index_1.generator({
            templates: {
                'test.js': function () {
                    return 'success';
                }
            }
        });
        t.deepEqual(generate({}).files, { 'test.js': 'success' });
        t.end();
    });
    t.test('expand raml', t => {
        const musicRaml = path_1.join(__dirname, '../test/world-music-api/api.raml');
        const generate = index_1.generator({
            templates: {
                'test.js': function (api) {
                    return 'success: ' + api.title;
                }
            }
        });
        parser.loadApi(musicRaml).then(function (api) {
            const json = api.expand(true).toJSON();
            t.deepEqual(generate(json).files, { 'test.js': 'success: World Music API' });
            t.end();
        });
    });
});
//# sourceMappingURL=index.spec.js.map